software-properties-gtk crashed with AttributeError in on_treeview_sources_cursor_changed(): 'NoneType' object has no attribute 'get_selected'

Bug #911834 reported by Vladimir Scherbaev on 2012-01-04
338
This bug affects 79 people
Affects Status Importance Assigned to Milestone
software-properties (Ubuntu)
Medium
Martin Pitt

Bug Description

Description: Ubuntu precise (development branch)
Release: 12.04
software-properties-gtk:
  Installed: 0.82
  Candidate: 0.82
  Version table:
 *** 0.82 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: software-properties-gtk 0.82
ProcVersionSignature: Ubuntu 3.2.0-7.13-generic 3.2.0-rc7
Uname: Linux 3.2.0-7-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
CheckboxSubmission: fc038fbbc6dcc038ea950e9a3aece7e1
CheckboxSystem: b8f3ec504801f13fc208edb5c785b099
Date: Wed Jan 4 19:54:09 2012
ExecutablePath: /usr/bin/software-properties-gtk
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-properties-gtk
PythonArgs: ['/usr/bin/software-properties-gtk']
SourcePackage: software-properties
Title: software-properties-gtk crashed with AttributeError in on_treeview_sources_cursor_changed(): 'NoneType' object has no attribute 'get_selected'
Traceback:
 Traceback (most recent call last):
   File "/usr/lib/python2.7/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 820, in on_treeview_sources_cursor_changed
     (model, iter) = sel.get_selected()
 AttributeError: 'NoneType' object has no attribute 'get_selected'
UpgradeStatus: Upgraded to precise on 2011-12-21 (13 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Vladimir Scherbaev (zemik) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in software-properties (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) wrote :

Do you have some steps how to reproduce this? Can you still reproduce it with today's python-gi update?

Thanks!

pygobject (3.0.3-2) unstable; urgency=medium

  * Urgency medium as the previous release with the regression already made it
    into testing and is causing quite a few unexpected breakages.
  * Add 01_revert_tree_model_unicode_conversion.patch: Revert "Convert all
    strings to utf-8 encoding when retrieving from TreeModel" change from
    previous release. This changes existing behaviour (model values being str
    instead of unicode) and also makes tree model behaviour incompatible to
    the rest of Gtk behaviour (which always returns UTF-8 encoded str objects,
    not unicode). The original bug description was a bug in the test case
    code, you cannot mix str and unicode objects in interpolation.
    (LP: #905602)

 -- Martin Pitt <email address hidden> Fri, 06 Jan 2012 16:38:51 +0100

visibility: private → public
Changed in software-properties (Ubuntu):
status: Confirmed → Incomplete
sam tygier (samtygier) wrote :

i got this with upto date packages today. I opened software sources from the system settings and then closed it without changing any options.

Brian Murray (brian-murray) wrote :

I was able recreate this bug report until I installed python-gobject version 3.0.3-2. After installing that new version software-properties no longer crashes.

Changed in software-properties (Ubuntu):
importance: Undecided → Medium
Jani Uusitalo (uusijani) wrote :

Python-gobject 3.0.3-2 here and I'm able to reproduce this. I haven't got an exact recipe for it, but enough wiggling around in software sources (with the mirror and such) seems to bring it on. I *think* it happens only when I finally close the window and not before. I'll keep looking for the exact steps, but I'm pretty confident this is still unfixed, as apport always points me to this report.

Hans gogia (hansg01) wrote :

I am using i686 and facing the same problem

Tim Peeters (tpeeters) wrote :

python-gobject 3.1.1-ubuntu1, and for the rest its the same as what Jani describes. If I wiggle around in software sources and close the window I get this error.

Martin Pitt (pitti) wrote :

This happens when closing software-properties-gtk with the window close X instead of the close button.

Changed in software-properties (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: Incomplete → In Progress
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.82.5

---------------
software-properties (0.82.5) precise; urgency=low

  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Drop duplicate definition
    of on_treeview_sources_cursor_changed().
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Fix crash when closing
    the application with the window title bar button. (LP: #911834)
  * add-apt-repository: Intercept ValueError in addition to URLError, as this
    is the error thrown when trying to decode invalid JSON (which happens on
    404 pages etc.). (LP: #861258)
  * softwareproperties/SoftwareProperties.py, _find_source_from_string():
    Reload the sources list before searching, as it might have changed while
    the D-BUS backend was running. (LP: #854818, #820150)
  * softwareproperties/gtk/SoftwarePropertiesGtk.py: Add missing argument to
    menu popup() call. (LP: #815236)
 -- Martin Pitt <email address hidden> Wed, 07 Mar 2012 10:14:52 +0100

Changed in software-properties (Ubuntu):
status: Fix Committed → Fix Released
Changed in software-properties (Ubuntu):
assignee: Martin Pitt (pitti) → Mayur Gujarathi (gujarathimayur)
Martin Pitt (pitti) on 2012-04-07
Changed in software-properties (Ubuntu):
assignee: Mayur Gujarathi (gujarathimayur) → Martin Pitt (pitti)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers